Page MenuHomePhabricator

Allow users to filter the global rights log by type
Closed, ResolvedPublic

Description

A filter for the gblrights log (by log_action) should be added. Used log_actions:

  • deleteset
  • groupperms
  • groupprms2
  • groupprms3
  • grouprename
  • newset
  • setchange
  • setnewtype
  • setrename
  • usergroups

It would probably be useful to group some of theses actions in UI.

Event Timeline

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 5:12 PM
MGChecker updated the task description. (Show Details)Apr 30 2016, 10:08 AM

(user request via IRC)

MGChecker triaged this task as Normal priority.Jun 9 2016, 7:29 PM
MGChecker updated the task description. (Show Details)

Change 293555 had a related patch set uploaded (by MGChecker):
Add possibility to filter for log_action in gblrights log

https://gerrit.wikimedia.org/r/293555

Change 293555 merged by jenkins-bot:
Add possibility to filter for log_action in gblrights log

https://gerrit.wikimedia.org/r/293555

MGChecker closed this task as Resolved.Jun 12 2016, 11:16 AM